(* $Id: godi_digest.mli 799 2008-06-03 15:13:33Z gerd $ 
 * ----------------------------------------------------------------------
 * Copyright 2008 by Gerd Stolpmann.
 *
 * This file is part of godi-tools.
 *
 * godi-tools is free software; you can redistribute it and/or modify it
 * under the conditions in the file LICENSE.
 *
 * godi-tools is distributed WITHOUT ANY WARRANTY, as detailed in the
 * file LICENSE.
 *)

type digest_kind = [ `MD5 | `SHA1 ]

val digest_of_string : digest_kind -> string -> string
val digest_of_channel : digest_kind -> in_channel -> string
val to_hex : string -> string
